package referencemanagementsystem.paperpublishingrealizationendpoint.services;

import referencemanagementsystem.paperpublishingrealizationendpoint.types.*;

/**
 * This interface has been generated from the MDSL endpoint called 'PaperPublishingRealizationEndpoint'. 
 * 
 */
public interface PaperPublishingRealizationEndpoint {

	/**
	 * MAP decorator: STATE_CREATION_OPERATION
	 * 
	 * Find all MAP responsibility patterns here: https://microservice-api-patterns.org/patterns/responsibility/
	 */
	CreateResponseDataTypeList create(CreateRequestDataTypeList anonymousInput);
	
	/**
	 * MAP decorator: RETRIEVAL_OPERATION
	 * 
	 * Find all MAP responsibility patterns here: https://microservice-api-patterns.org/patterns/responsibility/
	 */
	FindAllResponseDataTypeList findAll(FindAllRequestDataType anonymousInput);
	
	/**
	 * MAP decorator: RETRIEVAL_OPERATION
	 * 
	 * Find all MAP responsibility patterns here: https://microservice-api-patterns.org/patterns/responsibility/
	 */
	PaperPublishingRealizationEndpointDTO findById(FindByIdRequestDataType anonymousInput);
	

}
