package referencemanagementsystem.paperpublishingrealizationendpoint.services.test;

import static org.junit.jupiter.api.Assertions.assertNotNull;

import org.junit.jupiter.api.Test;
import java.util.Arrays;

import referencemanagementsystem.paperpublishingrealizationendpoint.services.PaperPublishingRealizationEndpoint;
import referencemanagementsystem.paperpublishingrealizationendpoint.services.impl.PaperPublishingRealizationEndpointImpl;
import referencemanagementsystem.paperpublishingrealizationendpoint.types.*;

/**
 * This test has been generated from the MDSL endpoint called 'PaperPublishingRealizationEndpoint'.
 * The methods are a starting point to implement your tests
 * and are not complete. 
 * 
 */
public class PaperPublishingRealizationEndpointTest {

	@Test
	public void canCreate() {
		// given
		PaperPublishingRealizationEndpoint service = new PaperPublishingRealizationEndpointImpl();
		CreateRequestDataTypeList anonymousInput = new CreateRequestDataTypeList();
		
		// when
		CreateResponseDataTypeList result = service.create(anonymousInput);
		
		// then
		assertNotNull(result);
	}
	
	@Test
	public void canFindAll() {
		// given
		PaperPublishingRealizationEndpoint service = new PaperPublishingRealizationEndpointImpl();
		FindAllRequestDataType anonymousInput = new FindAllRequestDataType();
		anonymousInput.setQueryFilter(Arrays.asList(new String[] { "wP3eJgFLu9" }));
		anonymousInput.setLimit(1797450979);
		anonymousInput.setOffset(1787905392);
		
		// when
		FindAllResponseDataTypeList result = service.findAll(anonymousInput);
		
		// then
		assertNotNull(result);
	}
	
	@Test
	public void canFindById() {
		// given
		PaperPublishingRealizationEndpoint service = new PaperPublishingRealizationEndpointImpl();
		FindByIdRequestDataType anonymousInput = new FindByIdRequestDataType();
		anonymousInput.setResourceId(1785051657);
		anonymousInput.setDesiredElements(Arrays.asList(new String[] { "4RgJN9G3z3" }));
		
		// when
		PaperPublishingRealizationEndpointDTO result = service.findById(anonymousInput);
		
		// then
		assertNotNull(result);
	}
	

}
